#
# spec file for package irqstat
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           irqstat
Version:        1.0.0+git4cd6854
Release:        2.2
Summary:        Script to better monitor interrupts in large systems
License:        MIT
URL:            https://github.com/lanceshelton/irqstat
Source0:        irqstat-%{version}.tar.xz
Patch1:         python-to-python3.patch
# Submitted upstream as part of https://github.com/lanceshelton/irqstat/pull/7
Patch2:         fix-python3-and-unbuffered-io.patch
Requires:       numactl
BuildArch:      noarch

%description
A better way to watch /proc/interrupts, designed for NUMA systems with many processors.

%prep
%autosetup -p1 -n irqstat-%{version}

%build

%install
mkdir -p %{buildroot}%{_bindir}
install -m 755 irqstat %{buildroot}%{_bindir}/irqstat

%files
%license LICENSE
%doc README.md
%{_bindir}/irqstat

%changelog
* Thu Feb 22 2024 Dominique Leuenberger <dimstar@opensuse.org>
- Use %%autosetup macro. Allows to eliminate the usage of deprecated
  %%patchN
* Tue Mar 23 2021 Dario Faggioli <dfaggioli@suse.com>
- Added fix-python3-and-unbuffered-io.patch
  This makes irqstat work with python3. It has been submitted
  upstream already, so we will only carry it like this until it
  is accepted there
- Added python-to-python3.patch
  So that we can drop python related 'Requires:', which will be
  automatically figured out
* Tue Mar 23 2021 dfaggioli@suse.com
- Refactor and improve _service and spec file
- Remove unnecessary files (_servicedata) from the repository
- Update to version 1.0.0+git4cd6854:
  * Fix python 3 compatibility
  * Fix pylint warnings
* Fri Sep 25 2020 Dario Faggioli <dfaggioli@suse.com>
-  Update to upstream version 1.0.0+git20200924.3d731a2
  * Includes off-line analysis of /proc/interrupts
  * Code refactoring and style cleanups
* Thu Sep 24 2020 Dario Faggioli <dfaggioli@suse.com>
- Switch to tar_scm and to locally run services
  * for avoiding all plafroms having to have the obs-service-*
* Wed Sep 23 2020 Dario Faggioli <dfaggioli@suse.com>
- Switch to upstream version 1.0.0+git20150530.902c7b5
  * fix version and upstream URL accordingly
* Tue Sep 22 2020 Dario Faggioli <dfaggioli@suse.com>
- Initial import
  * v1.0.0
  * offline-analysis branch
